members.dev
Passes

Create Pass Design

Creates a Pass Design

POST
/v1/passes/designs

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Header Parameters

Members-Context?|

Members organization id (org_…) when the client has multiple organizations.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://api.members.dev/v1/passes/designs" \  -H "Content-Type: application/json" \  -d '{    "title": "string",    "layout": "strip_image",    "logo_url": "string"  }'
{
  "title": "string",
  "background_color": "#000000",
  "label_color": "string",
  "foreground_color": "string",
  "strip_color": "string",
  "layout": "strip_image",
  "strip_image_url": "string",
  "logo_url": "string",
  "logo_title": "string",
  "header_field_label": "string",
  "header_field": {
    "kind": "system",
    "key": "name"
  },
  "primary_field_label": "string",
  "primary_field": {
    "kind": "system",
    "key": "name"
  },
  "secondary_fields": [
    {
      "label": "string",
      "field": {
        "kind": "system",
        "key": "name"
      }
    }
  ],
  "barcode_type": "none",
  "barcode_field": {
    "kind": "system",
    "key": "name"
  },
  "show_barcode_alt_text": false,
  "eligibility": {
    "type": "active_members"
  },
  "id": "string",
  "organization_id": "string",
  "archived_at": {},
  "created_at": null,
  "updated_at": null
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}